=== debian/changelog ===
ipmctl (02.00.00.3474+really01.00.00.3469-1) unstable; urgency=medium

  * Downgrade to the stable branch (v2 releases are still alpha).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 18 Aug 2019 15:59:18 +0200

ipmctl (02.00.00.3474+ds-2) unstable; urgency=medium

  * Rebuild on buildds.
  * Minor copyright improvements.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 13 Aug 2019 12:14:30 +0200

ipmctl (02.00.00.3474+ds-1) unstable; urgency=low

  * Initial release (closes: #931643)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 08 Jul 2019 19:52:35 +0200
