=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  

override_dh_auto_configure:
	dh_auto_configure -- \
	      -DBUILDNUM=`dpkg-parsechangelog -SVersion|cut -d+ -f1`

override_dh_install:
	mkdir -p debian/tmp/usr/sbin
	mv debian/tmp/usr/bin/ipmctl-monitor debian/tmp/usr/sbin/ipmctl-monitor
	dh_install

overide_dh_clean:
	dh_clean
	rm -rf output
