## ipmctl 02.00.00.3709%2Bds

=== debian/changelog ===
ipmctl (02.00.00.3709+ds-1) unstable; urgency=medium

  * A new upstream snapshot.
    + Fixes bad parsing of v0.1 PMTT data.  Closes: #951075.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 10 Feb 2020 23:44:47 +0100

ipmctl (02.00.00.3673+ds-3) unstable; urgency=medium

  * Purge libipmctl3's conffile, unbreaking logrotate.  Closes: #949850.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 26 Jan 2020 19:39:29 +0100

ipmctl (02.00.00.3673+ds-2) unstable; urgency=medium

  * Upload the beta to unstable.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 21 Jan 2020 15:18:53 +0100

ipmctl (02.00.00.3673+ds-1) experimental; urgency=medium

  * New upstream alpha release.
  * Include library symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 15 Dec 2019 03:48:05 +0100

ipmctl (02.00.00.3658+ds-1) experimental; urgency=medium

  * New upstream alpha release.
  * Drop safeclib from B-Deps.
  * The ipmctl-monitor daemon package is no more.
  * Bump lib package version for soname to libipmctl4.
  * Follow upstream renaming of the lib's logfile logrotate config.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 05 Dec 2019 19:17:03 +0100
