## ipmctl 02.00.00.3709+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/CMake/Find")
 
-set(LIBIPMCTL_VERSION_MAJOR 3)
-set(LIBIPMCTL_VERSION_MINOR 1)
+set(LIBIPMCTL_VERSION_MAJOR 4)
+set(LIBIPMCTL_VERSION_MINOR 0)
 set(LIBIPMCTL_VERSION_PATCH 0)
 set(LIBIPMCTL_VERSION_STRING ${LIBIPMCTL_VERSION_MAJOR}.${LIBIPMCTL_VERSION_MINOR}.${LIBIPMCTL_VERSION_PATCH})
 
@@ -20,9 +20,9 @@
 set(IPMCTL_VERSION_MINOR 00)
 set(IPMCTL_VERSION_PATCH 00)
 
-set(IPMCTL_SPEC_VERSION_MAJOR 1)
-set(IPMCTL_SPEC_VERSION_MINOR 15)
-set(IPMCTL_DRAFT "")
+set(IPMCTL_SPEC_VERSION_MAJOR 2)
+set(IPMCTL_SPEC_VERSION_MINOR 03)
+set(IPMCTL_DRAFT "-draft")
 set(IPMCTL_SPEC_VERSION_STRING ${IPMCTL_SPEC_VERSION_MAJOR}.${IPMCTL_SPEC_VERSION_MINOR}${IPMCTL_DRAFT})
 
 if(BUILDNUM)
@@ -30,7 +30,7 @@
 else()
 	find_package(Git)
 	if(GIT_FOUND)
-		execute_process(COMMAND ${GIT_EXECUTABLE} describe --dirty
+		execute_process(COMMAND ${GIT_EXECUTABLE} describe --tag --dirty
 			OUTPUT_VARIABLE IPMCTL_VERSION_STRING
 			RESULT_VARIABLE GIT_RETURN_CODE
 			)
@@ -83,14 +83,13 @@
 	find_package(asciidoc)
 	pkg_check_modules(NDCTL REQUIRED libndctl>=58.2)
 	pkg_check_modules(SYSTEMD systemd)
-if(NOT SAFECLIB_SRC_DOWNLOAD_AND_STATIC_LINK)
-	pkg_check_modules(LIBSAFEC REQUIRED safec-3.3>=03032018.0-g570fa5)
-endif()
 elseif(MSVC)
 	set(WIN_BUILD 1)
 	set(OS_TYPE win)
 	set(FILE_PREFIX win)
 	find_package(PythonInterp REQUIRED)
+	find_package(asciidoctor)
+	find_package(asciidoc)
 endif()
 
 message(BUILD_TYPE: ${CMAKE_BUILD_TYPE})
@@ -151,10 +150,28 @@
 endif()
 
 if(LNX_BUILD)
+	if("${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "/usr/share")
+		# Workaround for the RPM build cause the %{_datarootdir} is already prefixed
+		set(INI_INSTALL_FILEPATH "${CMAKE_INSTALL_DATAROOTDIR}")
+	else()
+		if("${CMAKE_INSTALL_PREFIX}" STREQUAL "/")
+			# In case the CMAKE_INSTALL_PREFIX equals "/" for <dir> other than the SYSCONFDIR and LOCALSTATEDIR,
+			# the value of CMAKE_INSTALL_<dir> is prefixed with usr/ if it is not user-specified as an absolute path.
+			set(CMAKE_INSTALL_PREFIX "/usr")
+			message("CMAKE_INSTALL_PREFIX value changed to: ${CMAKE_INSTALL_PREFIX}")
+		endif()
+		if(NOT DEFINED CMAKE_INSTALL_DATAROOTDIR)
+			set(CMAKE_INSTALL_DATAROOTDIR "share")
+			message("CMAKE_INSTALL_DATAROOTDIR not defined. Creating a new definition with value: ${CMAKE_INSTALL_DATAROOTDIR}")
+		endif()
+		set(INI_INSTALL_FILEPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}")
+	endif()
+	message("INI_INSTALL_FILEPATH definition create with value: ${INI_INSTALL_FILEPATH}")
 	add_definitions(
 		-D_GNU_SOURCE
 		-D__LINUX__
 		-DHAVE_C99
+		-DINI_INSTALL_FILEPATH="${INI_INSTALL_FILEPATH}/ipmctl/"
 		)
 	if(CMAKE_C_COMPILER_ID STREQUAL "GNU" AND CMAKE_C_COMPILER_VERSION VERSION_GREATER 4.9)
 		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-strong")
@@ -192,25 +209,25 @@
 
 if(MSVC)
 	FILE(GLOB OS_INTERFACE_SOURCE_FILES
+		src/os/os_str.c
 		src/os/os_common.c
 		src/os/win/win_scm2_ioctl.c
 		src/os/win/win_scm2_passthrough.c
 		src/os/win/win_scm2_ioctl_passthrough.c
 		src/os/win/win_common.c
 		src/os/win/win_api.c
-		src/os/win/win_adapter_acpi_events.c
 		src/os/win/win_scm2_adapter.c
 		src/os/win/win_system.c
 		)
 elseif(UNIX)
 	FILE(GLOB OS_INTERFACE_SOURCE_FILES
+		src/os/os_str.c
 		src/os/os_common.c
 		src/os/${OS_TYPE}/${FILE_PREFIX}_adapter_passthrough.c
 		src/os/${OS_TYPE}/${FILE_PREFIX}_acpi.c
 		src/os/${OS_TYPE}/${FILE_PREFIX}_common.c
 		src/os/${OS_TYPE}/${FILE_PREFIX}_api.c
 		src/os/${OS_TYPE}/${FILE_PREFIX}_adapter.c
-		src/os/${OS_TYPE}/${FILE_PREFIX}_adapter_acpi_events.c
 		src/os/${OS_TYPE}/${FILE_PREFIX}_system.c
 		)
 endif()
@@ -220,12 +237,6 @@
 target_link_libraries(ipmctl_os_interface
 	${CMAKE_THREAD_LIBS_INIT}
 	)
-
-if(LNX_BUILD AND (NOT SAFECLIB_SRC_DOWNLOAD_AND_STATIC_LINK))
-	target_link_libraries(ipmctl_os_interface
-		${LIBSAFEC_LIBRARIES}
-		)
-endif()
 
 target_include_directories(ipmctl_os_interface PUBLIC
 	src/os
@@ -233,7 +244,6 @@
 	DcpmPkg/common
 	src/os/nvm_api
 	src/os/s_string
-	${LIBSAFEC_INCLUDE_DIRS}
 	)
 # TODO: Remove the backup winioctl.h file when the 17650+ Windows SDK is publicly released
 if (MSVC)
@@ -282,6 +292,7 @@
 	DcpmPkg/cli/ShowGoalCommand.c
 	DcpmPkg/cli/DeleteGoalCommand.c
 	DcpmPkg/cli/ShowErrorCommand.c
+	DcpmPkg/cli/ShowCelCommand.c
 	DcpmPkg/cli/DumpDebugCommand.c
 	DcpmPkg/cli/StartDiagnosticCommand.c
 	DcpmPkg/cli/ShowPreferencesCommand.c
@@ -296,11 +307,14 @@
 	src/os/cli_cmds/DumpSupportCommand.c
 	DcpmPkg/cli/ShowRegisterCommand.c
 	DcpmPkg/cli/StartFormatCommand.c
-	DcpmPkg/cli/ShowEventCommand.c
-	DcpmPkg/cli/SetEventCommand.c
 	DcpmPkg/cli/ShowPerformanceCommand.c
 	DcpmPkg/cli/ShowHostServerCommand.c
 	DcpmPkg/cli/ShowCmdAccessPolicyCommand.c
+	DcpmPkg/cli/StartSessionCommand.c
+	DcpmPkg/cli/StopSessionCommand.c
+	DcpmPkg/cli/LoadSessionCommand.c
+	DcpmPkg/cli/ShowSessionCommand.c
+	DcpmPkg/cli/DumpSessionCommand.c
 	DcpmPkg/common/FwUtility.c
 	DcpmPkg/common/Utility.c
 	DcpmPkg/common/NvmTables.c
@@ -315,6 +329,7 @@
 	DcpmPkg/common/Printer.c
 	DcpmPkg/common/Strings.c
 	DcpmPkg/common/Nlog.c
+	DcpmPkg/common/ReadRunTimePreferences.c
 	DcpmPkg/driver/Protocol/Driver/NvmDimmConfig.c
 	DcpmPkg/driver/NvmDimmDriver.c
 	DcpmPkg/driver/Core/Dimm.c
@@ -335,29 +350,3 @@
 	DcpmPkg/driver/Utils/ProcessorAndTopologyInfo.c
 	DcpmPkg/driver/Utils/Interleave.c
 	DcpmPkg/driver/Utils/SmbiosUtility.c
-	DcpmPkg/driver/Utils/DumpLoadRegions.c
-	MdePkg/Library/UefiDevicePathLib/UefiDevicePathLib.c
-	MdePkg/Library/UefiDevicePathLib/DevicePathUtilities.c
-	MdePkg/Library/UefiDevicePathLib/DevicePathToText.c
-	MdePkg/Library/UefiDevicePathLib/DevicePathFromText.c
-	MdePkg/Library/BaseLib/Math64.c
-	MdePkg/Library/BaseLib/MultU64x32.c
-	MdePkg/Library/BaseLib/DivU64x32Remainder.c
-	MdePkg/Library/BaseLib/Unaligned.c
-	MdePkg/Library/BaseLib/BitField.c
-	MdePkg/Library/BaseLib/LinkedList.c
-	MdePkg/Library/BaseLib/LShiftU64.c
-	MdePkg/Library/BaseLib/Math64.c
-	MdePkg/Library/BaseLib/SwapBytes64.c
-	MdePkg/Library/BaseLib/SwapBytes32.c
-	MdePkg/Library/BaseLib/SwapBytes16.c
-	MdePkg/Library/BaseLib/String.c
-	MdePkg/Library/BaseLib/SafeString.c
-	MdePkg/Library/BaseLib/RShiftU64.c
-	MdePkg/Library/BaseLib/Math64.c
-	MdePkg/Library/BaseLib/DivU64x32.c
-	${LIBIPMCTL_MFG_FILES}
-	)
-if(EXISTS "${ROOT}/CMake/internal.cmake")
-        include("${ROOT}/CMake/internal.cmake")
-endif()
