=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                libndctl-dev,
                pkg-config,
                python3,
-               libsafec-dev,
                asciidoctor
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/intel/ipmctl
 Vcs-Browser: https://github.com/kilobyte/ipmctl/tree/debian
 Vcs-Git: https://github.com/kilobyte/ipmctl -b debian
@@ -28,12 +28,14 @@
   * Track performance of PMMs.
   * Debug and troubleshoot PMMs.
 
-Package: libipmctl3
+Package: libipmctl4
 Section: libs
 Architecture: amd64
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Breaks: libipmctl3
+Replaces: libipmctl3
 Description: library for managing Intel Optane DC persistent memory modules
  This package provides an API for the following functionality:
   * Discover PMMs on the platform.
@@ -50,7 +52,7 @@
 Section: libdevel
 Architecture: amd64
 Multi-Arch: same
-Depends: libipmctl3 (=${binary:Version}),
+Depends: libipmctl4 (=${binary:Version}),
          ${misc:Depends}
 Description: library for managing Intel Optane DC persistent memory modules - devel
  This package provides an API for the following functionality:
@@ -63,13 +65,3 @@
   * Debug and troubleshoot PMMs.
  .
  This package contains C development headers.
-
-Package: ipmctl-monitor
-Architecture: amd64
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: daemon for monitoring health and status of Intel Optane DC modules
- This is a daemon which watches and logs events related to Optane DC
- NVDIMMs, such as media errors, thermal issues, losing or regaining contact
- with the memory controller, etc.
