## ipmctl 02.00.00.3774+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 2.8.12)
+
+message("cmake version: " ${CMAKE_VERSION})
 
 project(ipmctl)
 
@@ -16,12 +18,12 @@
 set(LIBIPMCTL_VERSION_PATCH 0)
 set(LIBIPMCTL_VERSION_STRING ${LIBIPMCTL_VERSION_MAJOR}.${LIBIPMCTL_VERSION_MINOR}.${LIBIPMCTL_VERSION_PATCH})
 
-set(IPMCTL_VERSION_MAJOR 01)
+set(IPMCTL_VERSION_MAJOR 02)
 set(IPMCTL_VERSION_MINOR 00)
 set(IPMCTL_VERSION_PATCH 00)
 
 set(IPMCTL_SPEC_VERSION_MAJOR 2)
-set(IPMCTL_SPEC_VERSION_MINOR 03)
+set(IPMCTL_SPEC_VERSION_MINOR 05)
 set(IPMCTL_DRAFT "-draft")
 set(IPMCTL_SPEC_VERSION_STRING ${IPMCTL_SPEC_VERSION_MAJOR}.${IPMCTL_SPEC_VERSION_MINOR}${IPMCTL_DRAFT})
 
@@ -41,7 +43,7 @@
 	endif()
 
 	if(NOT GIT_FOUND OR ${GIT_RETURN_CODE})
-		set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.9999)
+		set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.3774)
 	endif()
 endif()
 
@@ -70,6 +72,9 @@
 if(ESX_BUILD)
 	set(OS_TYPE esx)
 	set(FILE_PREFIX esx)
+	set(CMAKE_SKIP_BUILD_RPATH FALSE)
+	set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
+	set(CMAKE_INSTALL_RPATH "/opt/intel/bin")
 	find_package(PythonInterp REQUIRED)
 elseif(UNIX)
 	set(LNX_BUILD 1)
@@ -245,7 +250,7 @@
 	src/os/nvm_api
 	src/os/s_string
 	)
-# TODO: Remove the backup winioctl.h file when the 17650+ Windows SDK is publicly released
+
 if (MSVC)
 	string(REGEX REPLACE "([0-9]+)\\.[0-9]+\\.[0-9]+\\.[0-9]+" "\\1" sdk_version_major $ENV{WindowsSDKVersion})
 	string(REGEX REPLACE "[0-9]+\\.([0-9]+)\\.[0-9]+\\.[0-9]+" "\\1" sdk_version_major2 $ENV{WindowsSDKVersion})
@@ -253,10 +258,7 @@
 	if (${sdk_version_major} GREATER 9 AND ${sdk_version_minor} GREATER 17650)
 		MESSAGE("Using Windows SDK 17650+")
 	else()
-		MESSAGE("Using internal winioctl.h")
-		target_include_directories(ipmctl_os_interface PUBLIC
-			src/os/win/sdk
-		)
+		MESSAGE(FATAL_ERROR "Requires Windows SDK version 17650 or newer.")
 	endif()
 endif()
