=== debian/changelog ===
ipmctl (02.00.00.3774+ds-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update symbols (changed ones are not public API).

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 16 Jun 2020 06:26:28 +0200

ipmctl (02.00.00.3764+ds-1) unstable; urgency=medium

  * New upstream minor release; bumps supported Barlow Pass up to 2.05.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 12 May 2020 15:13:28 +0200

ipmctl (02.00.00.3759+ds-1) unstable; urgency=medium

  * New upstream release -- official 2.0.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 27 Apr 2020 21:10:39 +0200

ipmctl (02.00.00.3722+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 02 Mar 2020 14:13:28 +0100
