## ipmctl 02.00.00.3852+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	endif()
 
 	if(NOT GIT_FOUND OR ${GIT_RETURN_CODE})
-		set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.3774)
+		set(IPMCTL_VERSION_STRING ${IPMCTL_VERSION_MAJOR}.${IPMCTL_VERSION_MINOR}.${IPMCTL_VERSION_PATCH}.3852)
 	endif()
 endif()
 
@@ -249,6 +249,9 @@
 	DcpmPkg/common
 	src/os/nvm_api
 	src/os/s_string
+	MdePkg/Include
+	MdePkg/Include/Uefi
+	src/os/efi_shim
 	)
 
 if (MSVC)
@@ -350,5 +353,3 @@
 	DcpmPkg/driver/Utils/PlatformConfigData.c
 	DcpmPkg/driver/Utils/AcpiParsing.c
 	DcpmPkg/driver/Utils/ProcessorAndTopologyInfo.c
-	DcpmPkg/driver/Utils/Interleave.c
-	DcpmPkg/driver/Utils/SmbiosUtility.c
