=== debian/changelog ===
ipmctl (02.00.00.3852+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 17 Feb 2021 11:13:16 +0100

ipmctl (02.00.00.3847+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols.
  * Use correct path in non-installed.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 06 Feb 2021 03:33:27 +0100

ipmctl (02.00.00.3844+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 28 Jan 2021 13:48:28 +0100

ipmctl (02.00.00.3833+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols.
  * Update copyright (+ BSD-2-Clause-Patent TianoCore).

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 03 Dec 2020 16:03:53 +0100

ipmctl (02.00.00.3825+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 02 Oct 2020 00:50:44 +0200

ipmctl (02.00.00.3820+ds-1) unstable; urgency=high

  * New upstream release.
    + Fixes provisioning of Apache Pass modules.  Closes: #971369.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 29 Sep 2020 23:53:58 +0200

ipmctl (02.00.00.3809+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 31 Aug 2020 11:39:34 +0200
