=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                pkg-config,
                python3,
                asciidoctor
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/intel/ipmctl
 Vcs-Browser: https://github.com/kilobyte/ipmctl/tree/debian
