=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,6 @@
 	dh_auto_configure -- \
 	      -DBUILDNUM=`dpkg-parsechangelog -SVersion|cut -d+ -f1`
 
-overide_dh_clean:
+override_dh_clean:
 	dh_clean
 	rm -rf output
